A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
infoString
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Managing devices in ArrayFire

## Functions
AFAPI const char * | infoString (const bool verbose=false)
AFAPI af_err | af_info_string (char **str, const bool verbose)
| Gets the output of af_info() as a string.

## Detailed Description

Get af::info() as a string

Returns the output of af::info() as a string

Parameters

  [in] | verbose | flag to return verbose info

Returns
  string containing output of af::info()

## Function Documentation

## ◆ af_info_string()

AFAPI af_err af_info_string | ( | char ** | str,
|  | const bool | verbose )

Gets the output of af_info() as a string.

Parameters

  [out] | str | contains the string
  [in] | verbose | flag to return verbose info

## ◆ infoString()

AFAPI const char * infoString | ( | const bool | verbose = false | ) |